<?xml version="1.0" ?>

<project name="Jnettop Gui" default="default">

	<target name="init">

		<delete dir="dist" />
		<delete dir="build" />
		<mkdir dir="dist" />
		<mkdir dir="build" />

        <condition property="os.family" value="unix">
        	<os family="unix"/>
        </condition>
        <condition property="os.family" value="windows">	
        	<os family="windows"/>
        </condition>

		<path id="common.compile.classpath">
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib/${os.family}" includes="*.jar" />
		</path>
	</target>

	<target name="clean" description="Removes build artifacts">
		<delete dir="dist" />
		<delete dir="build" />
	</target>

	<!-- Common -->
	<target name="compile-common" depends="init" description="Compile common module">
		<javac srcdir="src" destdir="build" debug="${javac.debug}" classpathref="common.compile.classpath" />
	</target>

	<target name="package-common" depends="compile-common">
		<jar destfile="dist/jnettop-gui.jar">
			<fileset dir="build" />
			<fileset dir="src">
				<include name="**/*.properties" />
				<include name="**/*.png" />
				<exclude name="**/*.java" />
			</fileset>
		</jar>
		<copy todir="dist">
			<fileset dir="lib">
				<filename name="**/*.jar" />
			</fileset>
		</copy>
	</target>

	<target name="package-native" depends="package-common">
		<jar destfile="dist/native-win32-lib.jar">
			<fileset dir="lib/windows">
				<filename name="**/*.dll" />
			</fileset>
		</jar>
		<jar destfile="dist/native-linux-lib.jar">
			<fileset dir="lib/unix">
				<filename name="**/*.so" />
			</fileset>
		</jar>
	</target>

	<target name="sign-jars" depends="package-native,package-common">
		<echo level="info">Signing JARS...</echo>
		<signjar keystore="keystore" alias="myself" storepass="password" keypass="password">
			<fileset dir="dist">
				<filename name="**/*.jar" />
			</fileset>
		</signjar>
	</target>
	
	<target name="package-source">
		<jar destfile="dist/jnettop-gui-0.1.zip">
			<fileset dir=".">
				<include name="src/**/*.java" />
				<include name="src/**/*.png" />
				<include name=".classpath" />
				<include name=".project" />
				<include name="build.xml" />
				<include name="lib/jsch-0.1.26.jar" />
			</fileset>
		</jar>
	</target>

	<target name="package" depends="package-native,package-common,package-source">
	</target>	

	<!-- Convenience targets -->
	<target name="default" depends="package" />

</project>

